### This is the master repo of the frontend development

##### Directory structure

- fonts  - Containing all external fonts and custom icomoon icon fonts
- images - Containing all external images being used in this project
- sass - Containing all "SASS" files
- src - Containing all "JSX" files
- js - Containing compiled js files
- css - Containing compiled CSS files  
- misc - Containing project UI related miscellaneous documents and images
- package.json - Has a list of all the node modules being used in the project
- gulpfile.js - all the build automation tasks are written here
- index.html - Is the main page.


##### How to start?

Clone this repo first

Change the directory to nethum-ui

Install "node" if it is not installed already by running the command
```
npm install node
```

Install gulp by running the command
```
npm install -g gulp
```

If it is asking for permission - use "sudo"
```
sudo npm install -g gulp
```


Run the command 
```
npm install
```

This will install all the required node modules.


Run the 'gulp' command to trigger automatic build
```
gulp
```
	
The project will be running on 
```
localhost:8000
```


---

### Other Information

##### Basscss

_Basscss is added to build UI component_

>Basscss is a lightweight collection of base element styles and immutable utilities designed for 
speed, clarity, performance, and scalability.

##### URLs
- http://www.basscss.com/
- https://github.com/basscss/basscss/